package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.manage.service.IGameSupperService;
import com.zanxiang.game.module.mybatis.entity.GameSupper;
import com.zanxiang.game.module.mybatis.mapper.GameSupperMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2023-09-12
 * @description : 超父游戏
 */
@Slf4j
@Service
public class GameSupperServiceImpl extends ServiceImpl<GameSupperMapper, GameSupper> implements IGameSupperService {

    @Override
    public Map<Long, String> getGameSupperList() {
        List<GameSupper> list = super.list();
        Map<Long, String> map = new HashMap<>(list.size());
        list.forEach(gameSupper -> map.put(gameSupper.getId(), gameSupper.getName()));
        return map;
    }
}
